package main

import (
	"code.ivysaur.me/trpcd/DataSource"
)

type sampleDataProvider struct {
}

func NewSampleDataProvider() DataSource.DataProvider {
	return &sampleDataProvider{}
}

func (this *sampleDataProvider) NewSession() DataSource.DataSession {
	ret := &sampleDataSession{}
	ret.reset()
	return ret
}
